Project

General

Profile

Feature #8650

Bump to libdrm 2.4.83

Added by Ken Mays about 3 years ago. Updated over 1 year ago.

Status:
New
Priority:
Normal
Assignee:
Start date:
2017-09-11
Due date:
2017-09-22
% Done:

0%

Estimated time:
1.00 h
Difficulty:
Bite-size
Tags:
drm

Description

Ref: https://dri.freedesktop.org/libdrm/libdrm-2.4.83.tar.bz2

Please bump illumos DRM kernel module per libdrm 2.4.83

Mainly, adds support for Intel GEN 10 and newer PCI IDs. (Cannonlake/CoffeeLake).
Additionally, provides better dev support for AMDgpu integrations. (AMDgpu 1.4.0/Radeon 7.10)

History

#1

Updated by Ken Mays about 3 years ago

I've fixed, patched, and compiled libdrm-2.4.85. Then, successfully compiled the amdgpu-1.4.0 and radeon 7.10.0 drivers
for OI.

We can close this ticket. We can patch the current Intel DRM to fix minor bugs - not do a major overhaul.

#2

Updated by Stephan Althaus over 1 year ago

Hello!
Probably i'm wrong,
but don't see these changes been manifested,
all i see is libdrm 2.4.75..

The work has been done, it would be at least inefficient to loose that.

Greetings
Stephan

Also available in: Atom PDF